List Kamino yield vault history
curl --request GET \
--url https://platform.spritz.finance/v1/wallet-kit/yield/solana/kamino/vaults/{vaultId}/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.spritz.finance/v1/wallet-kit/yield/solana/kamino/vaults/{vaultId}/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.spritz.finance/v1/wallet-kit/yield/solana/kamino/vaults/{vaultId}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"createdAt": "2023-11-07T05:31:56Z",
"tvlUsd": "<string>",
"apy": "<string>",
"cumulativeInterestEarnedUsd": "<string>",
"raw": {}
}
],
"hasMore": false,
"nextCursor": "<string>"
}{
"title": "Unauthorized",
"status": 400,
"type": "urn:problem-type:auth:unauthorized",
"detail": "<string>",
"instance": "/errors/1234567890",
"code": "transaction_limit",
"field": "amountUsd",
"retryable": true
}{
"title": "Unauthorized",
"status": 401,
"type": "urn:problem-type:auth:unauthorized",
"detail": "Bearer token required",
"instance": "<string>",
"realm": "API",
"scope": "read:users"
}{
"title": "Unauthorized",
"status": 400,
"type": "urn:problem-type:auth:unauthorized",
"detail": "<string>",
"instance": "/errors/1234567890",
"code": "transaction_limit",
"field": "amountUsd",
"retryable": true
}{
"title": "Unauthorized",
"status": 400,
"type": "urn:problem-type:auth:unauthorized",
"detail": "<string>",
"instance": "/errors/1234567890",
"code": "transaction_limit",
"field": "amountUsd",
"retryable": true
}{
"title": "Unauthorized",
"status": 400,
"type": "urn:problem-type:auth:unauthorized",
"detail": "<string>",
"instance": "/errors/1234567890",
"code": "transaction_limit",
"field": "amountUsd",
"retryable": true
}Wallet Kit
List Kamino yield vault history
Returns time-series metrics for one Solana Kamino vault.
GET
/
v1
/
wallet-kit
/
yield
/
solana
/
kamino
/
vaults
/
{vaultId}
/
history
List Kamino yield vault history
Authorizations
Cognito JWT token for regular user authentication
Path Parameters
Solana public key (base58).
Required string length:
32 - 44Pattern:
^[1-9A-HJ-NP-Za-km-z]+$Example:
"8sLbNZoA1cfnvMJLPfp98ZLAnFSYCFApfJKMbiXNLwxj"
Query Parameters
ISO 8601 datetime.
Example:
"2026-01-01T00:00:00.000Z"
ISO 8601 datetime.
Example:
"2026-01-01T00:00:00.000Z"
⌘I